| LightHub v4.0.0 Smarthome controller firmware

Public Attributes | List of all members
pidPersistent Class Reference

`#include <out_pid.h>`

Inheritance diagram for pidPersistent:

## Public Attributes
PID * | pid
double | output
double | input
double | setpoint
float | prevOut
int | driverStatus
uint32_t | alarmTimer
bool | alarmArmed
uint16_t | alarmTimeout

## Member Data Documentation

## ◆ alarmArmed

bool pidPersistent::alarmArmed

## ◆ alarmTimeout

uint16_t pidPersistent::alarmTimeout

## ◆ alarmTimer

uint32_t pidPersistent::alarmTimer

## ◆ driverStatus

int pidPersistent::driverStatus

## ◆ input

double pidPersistent::input

## ◆ output

double pidPersistent::output

## ◆ pid

PID* pidPersistent::pid

## ◆ prevOut

float pidPersistent::prevOut

## ◆ setpoint

double pidPersistent::setpoint

The documentation for this class was generated from the following file:

- modules/out_pid.h